/**
 * @license
 * Copyright 2019 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { LitElement, html } from "lit";
import { customElement, property } from "lit/decorators.js";
import { globalStyles } from "../styles";
/**
 * @fires count-changed - Indicates when the count changes
 * @slot - This element has a slot
 * @csspart button - The button
 */
let DevConsoleProductDetails = class DevConsoleProductDetails extends LitElement {
    constructor() {
        super(...arguments);
        this.productDetails = {};
    }
    render() {
        return html `
      <div class="grid grid-cols-7 gap-20">
        <div class="col-span-5 flex flex-col space-y-6">
          <div class="flex flex-col space-y-2">
            <strong>Learn about the Products</strong>
            <p>${this.productDetails.description}</p>
            <a>${`Find out more about ${this.productDetails.name}`}</a>
          </div>
          <div class="flex flex-col space-y-2">
            <strong>Technical Documentation</strong>
            <div class="flex flex-col space-y-4">
              ${this.productDetails.documentations.map((doc) => html `
                    <div class="flex flex-col space-y-1">
                      <a href=${doc.url}>${doc.name}</a>
                      <p>${doc.description}</p>
                    </div>
                  `)}
            </div>
          </div>
        </div>
        <div class="col-span-2 flex flex-col space-y-2">
          <strong>Utilities</strong>
          <div class="flex flex-col space-y-4">
            ${this.productDetails.utilities.map((doc) => html ` <a href=${doc.url}>${doc.name}</a> `)}
          </div>
        </div>
      </div>
    `;
    }
};
DevConsoleProductDetails.styles = [globalStyles];
__decorate([
    property({ attribute: ".productDetails" })
], DevConsoleProductDetails.prototype, "productDetails", void 0);
DevConsoleProductDetails = __decorate([
    customElement("dev-console-product-details")
], DevConsoleProductDetails);
export { DevConsoleProductDetails };
//# sourceMappingURL=dev-console-product-details.js.map